Change Log

2.5.1.3
[+] Added process_priority config variable. 0 - normal (default); 1 - high; 2 - realtime.
[*] "Screen multiple factor" can be changed on the fly.
[-] Fixed desynch on ep3-2349.lmp.
[-] Fixed issues in screenshot and video capturing code.

2.5.1.2
[+] Added device selection to portmidi player. Controlled by the snd_mididev config variable. See stdout.txt for list of available devices.
[+] Added a progress bar for demo skipping during re-recording.
[+] Added key binding options for start/stop and fast-forward when watching demos.
[+] Added a key binding option to restart the current map.
[+] Added a "Default compatibility level" GUI entry.
[+] Support for 16 sprite rotations. http://zdoom.org/wiki/Sprite#Angles
[+] New HUDs. HUDs definitions are moved to the "prboom-plus.wad/-prbhud-" lump.
[*] Fluidsynth player now resumes notes seamlessly after a pause.
[*] Speed improvement on maps like sunder.wad map10 and nuts.wad.
[*] Force GL_LINEAR for MAG filter for textures with detail.
[-] Fixed buggy music that forgets to terminate notes held over a loop point. SDL_mixer does this as well. Fix tested against Doom2 map14 and FreeDoom2 map01, for fluidsynth, portmidi, and OPL players.
[-] Fixed buffer overrun in OPL2 player.
[-] Fixed crash in video capture code when "Use GL surface for software mode" is enabled.
[-] The screen wipe after pressing the exit switch on a level was noticably jerkier.
[-] MBF-added codepointers worked with any complevel.
[-] Fixed HOMs on skies with transparent pixels. Sky2 @ doom2.wad, for example.
[-] Alpha channel did not work for 8-bit PNGs with alpha.
[-] Transferred standard sky was drawn badly when FOV > 90 (Voodoo Guns - map02).

2.5.1.1
[+] Support for ZDoom-style OGG loop points, by Nicholai Main. http://zdoom.org/wiki/Audio_loop
[+] Ability to disable the background on Boom fullscreen menus. There is a "menu_background" config variable and in-game GUI entry.
[*] "Automap - Show kills/items/secrets statistics" is displayed on overlay automap too.
[*] Improved sample rate conversion, by Nicholai Main.
[*] MIDI volume works independently from SFX on Vista/7 for "portmidi" player.
[*] "madplayer" should now correctly play mp3 songs with ID3v2 tags.
[*] Seamless tiling in the high quality resize algorithms (thanks Nunya).
[*]  The first frame of the O_COUNTD(.MP3) @ dvii-1u.wad is in fact corrupt, but the rest is ok (best guess: it used to have an ID3v2 tag which was removed by a dodgy program). The new load routine should be more accepting of damaged mp3s.
[-] "Texture format" always forced to GL_RGB5_A1 if "Use GL surface for software mode" is enabled.
[-] Fixed crash when you try to make a screenshot if "Use GL surface for software mode" is enabled.
[-] Deadlock in "portmidi" music player.
[-] Looping for all mp3s are completely broken in libmad player.
[-] Fixed playback of mono MP3 files with libmad player.

2.5.1.0
[+] New music code by Nicholai Main. See "Preferred MIDI player" GUI option. Available values are "sdl", "fluidsynth" (disabled for Win9x), "opl2" and "portmidi".
[+] If "-warp" doesn't have a map number after it, the game will automatically warp to the first map in all the files loaded at the command line.  This allows a pwad to be run without concerns about where its actual maps start.
[+] The option to place the overlaid automap where you want (map_overlay_pos_x/y/width/height config variables).
[+] Added render_patches_scalex/y config variables for custom scaling when "not adjusted" is used.
[+] Emulation of weaponinfo overruns.
[+] Automap interpolation.
[+] Support for mouse wheel up/down.
[+] Added an "Use mouse wheel for zooming" automap option.
[+] Screen resolution changes don't require an engine restart.
[+] The option to resize the main window with the mouse. Any size is allowed if Shift is pressed during resizing.
[+] Alt-Enter now toggles between fullscreen and windowed modes.
[+] Added an "Use GL surface for software mode" video option. It renders a software surface into an OpenGL surface. Thus, you shouldn't have palette issues on modern systems and you can use VSync even with the "windib" SDL video driver.
[+] New video capture system by Nicholai Main. Use command line params "-timedemo anydemo.lmp -viddump filename.mkv"; see usage.txt for more details.
[*] Added mouse button actions for "backward motion" and for single-click "use".
[*] The noclip effect which can occur with an "intercepts overflow" should not take effect after a level is reloaded.
[*] When recording, the ENDOOM screen is now disabled regardless of the misc_fastexit option.
[*] The "Fast Exit" option is now named "Show ENDOOM screen".
[*] The precise rendering of automap lines when "render quality" is "quality" to avoid small vibrations during map rotation. Applied only in GL mode.
[*] Antialiasing of automap lines now also works in software modes (Xiaolin Wu's line algorithm). There's a map_use_multisamling config variable and a corresponding GUI entry for this.
[-] Fixed a crash on map21 @ newgothic.wad with "-complevel 10" and higher.
[-] Improved emulation of "missed back side" overruns. The desynch in fez1-924.lmp @ fez1.wad is gone now, but you still need to add "-setmem dosbox" or "-setmem dos71" command line parameter, because the default "dos622" memory layout causes a desynch.
[-] The automap scaling factor is now saved.
[-] A "-set overrun_* = 0" setting now works in demo footers.
[-] When playing back multi-level demos for the Ultimate DOOM, -warp produced unexpected results when combined with -auto.
[-] The titlepic in malgnant.wad caused Signal 11 crashes.
[-] Fixed the incorrect positioning of automap marks when 'follow mode' and 'rotate mode' were enabled.
[-] Automap marks did not draw correctly, displaying white rectangles instead of digits.
[-] Automap marks did not scale to the selected screen resolution and were hardly visible at high resolutions as a result.
[-] The skydome cap color was wrong during invulnerability mode.
[-] The mouse cursor didn't hide during fullscreen when the mouse was disabled in General options.
[-] When one used skipsec to warp to an intermission screen portion of a demo, the music from the previous level was played instead of the intermission music.
[-] The "flashing hom" detector didn't work in GL mode.
Links for the demos, wads and topics referred to above:
http://www.doomworld.com/idgames/index.php?id=16238 (newgothic.wad)
http://doomedsda.us/wad1490.html (fez1-924.lmp, fez1.wad)
http://www.doomworld.com/idgames/index.php?id=1509 (malgnant.wad)

2.5.0.8
[+] Added support for textured automap. Available in the menu at "Options\Setup\Automap\Enable Textured Display".
[+] "Next Level" key now works during normal play, not just during demo playback.
[+] Added "-shotdir" command line switch and "screenshot_dir" config variable. Default folder for screenshots is now exe_dir.
[+] Two new sponsored HUDs.
[*] Added ability (overrun_missedbackside_emulate 1) to emulate wrong memory access for cases when some linedefs have a two-sided flag set, but no second sidedef. Fixed desynch on CLNJ-506.LMP @ CHALLENJ.WAD
[*] Broken BLOCKMAP lumps won't be recreated automatically. Use "-blockmap" command line switch if PrBoom-plus reports a buggy blockmap.
[*] The "-solo-net" and "-emulate x.y.z" params are saved to the demo footer.
[*] Added frustum culling for sprites if mouse look is enabled (gl_sprites_frustum_culling). If you look up or down on nuts.wad with this, frame rate will increase instead of decreasing.
[*] Improved compatibility with Doom 1.2. All known Doom 1.2 demos including ret12na.lmp @ return01.wad, wp2-33.lmp @ wadpak2.wad and uac_dead by Never_Again are now in sync.
[*] GLBDEFS alias for GLDEFS lump to avoid compatibility issues with other ports. Note that if GLBDEFS is present, GLDEFS will not be parsed at all.
[*] Command-line added demos don't conflict with lump names anymore. For example, you can play map01.lmp back on map01.
[*] Incorrect nodes on e1m1 @ deepcre.wad don't crash PrBoom-plus anymore.
[-] The title screen from the Duke Nukem total conversion PWAD didn't appear in software mode, being replaced by a black screen.
[-] Pitch-shift emulation didn't work.
[-] On-screen graphics like PAUSE, M_DOOM, TITLEPIC, etc didn't fit in the screen at 16x9 aspect ratios and "not adjusted" mode for "status bar and menu appearance".

Links for the demos, wads and topics referred to above:
http://doomedsda.us/wad1005.html (CLNJ-506.LMP, CHALLENJ.WAD)
http://www.doomwadstation.com/main/dukegp.rar (Duke Nukem total conversion)
http://doomedsda.us/767col159.html (return01.wad, ret12na.lmp)
http://doomedsda.us/1082col215.html (wadpak2.wad, wp2-33.lmp)
http://doomedsda.us/wad892.html (uac_dead.wad and doom 1.2 demos)
http://www.doomworld.com/idgames/index.php?id=4169 (deepcre.wad)

2.5.0.7
[+] Added support for DeePBSP v4 extended nodes.
[+] Added support for ZDoom's uncompressed extended nodes.
[+] Blend animations.
[+] Support for Quake2/Unreal style skyboxes. Their definitions (using GLDEFS lump) are GZDoom compatible. (http://zdoom.org/wiki/GLDEFS#Skybox_definitions)
[+] Support for MUSINFO lump (dynamic music changing) from Risen3D. (http://zdoom.org/wiki/MUSINFO)
[+] Support for custom per-texture detail textures. Syntax of definition using GLDEFS lump:
    detail
    {
      (walls | flats) [default_detail_name [width [height [offset_x [offset_y]]]]]
      {
        texture_name [detail_name [width [height [offset_x [offset_y]]]]]
      }
    }

    Where detail_name is a bmp/png/tga/jpg/pcx/gif lump between the HI_START/HI_END markers. You don't need to add the texture to TEXTURES1. Default values are (width:16 height:16 offset_x:0 offset_y:0)

    Example:

    detail
    {
      walls smooth01 32.0 //default detail for walls (width = 32, height = 16, offset_x/y = 0)
      {
        brick7  detstone 64.0 64 10.532
        brick8  detail02 // detail02 16 16 0 0
        water1 // do not apply default detail to water
        water2
        water3
        water4
      }
      flats // no default detail for flats
      {
        grass1 Grass01 32 32
        NUKAGE1 detslime 16 16 0 0 // different offsets for animated flats make sense
        NUKAGE2 detslime 16 16 4 4
        NUKAGE3 detslime 16 16 8 8
      }
    }
[*] Hacked SDL_mixer.dll to avoid music bugs on some tracks. (for example: music goes wrong from 1:15 with timidity on doom2.wad map05)
[*] Recalculates seg offsets that are sometimes incorrect with certain nodebuilders. Fixes among others, line 20365 of DV.wad, map 5. Makes sense only for software renderer.
[*] Scan forward for a MUS header signature at the beginning of a MUS lump, which apparently DMX was capable of doing vis-a-vis DIESCUM.WAD.
[*] Verifies blockmap validity and reports it in stdout.txt.
[*] Disables sky texture scaling if the status bar is used.
[*] In Chex Quest, uses the radiation suit colormap instead of the red colormaps that are usually used when taking damage (or getting the berserk pack). This matches Vanilla chex.exe behavior (from chocolate-doom).
[*] Make -complevel 9 draw the sky normally during invulnerability. This is what Boom does. It was MBF that introduced the "negative" sky option.
[*] No z-fighting in OpenGL mode for a killed mobj and its dropped weapon after death even with "sprites_doom_order 1".
[*] The ability to render flats using draw lists. Can be noticeably faster on complex levels. "gl_use_display_lists" in config.
[-] Fixed HOM at sectors 226 and 300 on E1M1 @ OTTAWAU.WAD. Fix affects only vanilla compatibility levels, because Boom's behavior is different. Newtechn.wad is also fixed.
[-] Fixed a -trace_thingshealth issue.
[-] Fixed a crash when demo footer and re-record are used.
[-] Full path should not be stored in demo footer for Dehacked patches.
[-] SDL_mixer's native MIDI music playing does not pause properly. As a workaround, it sets the volume to 0 when paused and "mus_pause_opt 1".
[-] Boom colormaps are not be applied twice for hires textures anymore.
[-] Fixed the latest known incompatibility with MBF.
[-] Fixed an incompatibility with Win95.
[-] During demo playback when using the camera the sound was heard from the players position, instead of the camera position.
[-] After joining a game using recordfromto it was not possible to save the game.
[-] Inheriting of friendlyness during spawn, for MBF compatibility.
[-] PrBoom did not use the misc1 and misc2 frame parameters in A_Mushroom for Boom compatibility. Normally those two should control the angle and speed factor of the fireballs, but it didn't happen here.
[-] "map_use_multisamling 0" did not work with "map_always_updates 0"
[-] Fixed crash in software mode with 5x4 aspect.
[-] Fixed mismatches between sotware and GL modes at 5x4 aspect.
[-] Walkcam did not interpolate when paused.
[-] Color variables were misaligned in the automap settings menu with "not adjusted" format.
[-] A string of garbage from the title picture was left on the bottom of the HUD when using "not adjusted" format at resolutions with odd height (700x525 as example).
[-] Fixed corruption of graphics after smoothing edges on systems with LP64 data model. Most Unix (like Solaris) and Unix-like systems (like Linux). 

Links for the demos, wads and topics referred to above:
http://www.doomworld.com/idgames/index.php?id=1651 (OTTAWAU.WAD)
http://www.doomworld.com/idgames/index.php?id=401 (newtechn.wad)

2.5.0.6
[+] Added the ability to smooth sprites edges ("Options\General\OpenGL Options\Smooth Sprite Edges"). Might noticeably reduce frame rate. Includes a "gl_mask_sprite_threshold" config variable for the intensity of smoothing (0-100).
[+] Ability to see kills/secrets/items/time statistics in automap mode. Available in the menu at "Options\Setup\Automap\".
[+] Added a "map_use_multisamling" config variable to apply multisampling to the automap.
[+] Added a "movement_shorttics" config variable in addition to the "-shorttics" command line switch.
[+] Added a "gl_shadows_maxdist" config variable.
[+] Added the ability to disable any OpenGL extension via the config instead of disabling all of them with "gl_compatibility" in case your drivers can't work properly with specific features. The extensions which can be disabled are: gl_arb_multitexture, gl_arb_texture_compression, gl_arb_texture_non_power_of_two, gl_ext_arb_vertex_buffer_object, gl_ext_blend_color, gl_ext_framebuffer_object, gl_ext_packed_depth_stencil, gl_ext_texture_filter_anisotropic, gl_use_stencil.
[+] Added a "-trace_givendamage" command line parameter to trace the latest and total damage inflicted by any specific monsters or players in a level. If a player is selected, its data will be tracked across multiple levels. Available with the Boom HUD only. Usage:
    -trace_givendamage ThingID [ThingID] [ThingID]
[+] Added a "map_scroll_speed" cfg variable and GUI setting. "key_speed" doubles the speed.
[+] Added a "sprites_doom_order" config variable for correct sprite sorting. See sectors 99, 115, and so on in Strain.wad map13, for example. This also fixes z-fighting between overlapped sprites in GL mode.
[*] Mouselook key and keys bound to game speed change commands do not break cheats being typed.
[*] Midi volume is applied to all midi devices when mus_extend_volume is 1.
[*] Light level 0 will now be truly lightless with GZDoom lighting mode.
[*] Automap grid can now rotate with map (from ZDoom).
[*] Now DSSECRET is used when a secret area is found, instead of DSITMBK. The new sound lump is part of prboom-plus.wad and can be replaced through PWADs.
[-] Fixed a crash in software mode at some resolutions when using 'Doom Format' or 'Fit to Width' for 'Status Bar and Menu Appearance'.
[-] Now applies fake contrast when using "Fog Based" sector light mode.
[-] Fixed Player's weapon lighting, that was too dark in GL mode.
[-] Fixed small glitches on Boom HUD graphics in GL mode.
[-] Mouse button now moves camera forward if you have it assigned to move forward.
[-] Fixed software mode bug: if you played a wad with menu graphics big enough to go over the status bar, entering and exiting the menu left a trace of the menu graphic over the status bar. See HR2final.wad, for example.
[-] Flat bleeding on walls won't incorrectly bleed through walls and floors when motion blur is in effect anymore. This fix requires support of the "GL_EXT_packed_depth_stencil" extension.
[-] Simple shadows and transparent textures don't sometimes flicker anymore when fog-based lighting is used.
[-] Shadows don't disappear in some situations anymore.
[-] "-trace_thingshealth 0" now works.
[-] Fixed screen shots at resolutions where width is not a multiple of 4.
[-] Fixed slowdowns on Pentium 4 at 1024x768 (introduced in 2.5.0.3).

2.5.0.5
[+] Added an "sdl_video_window_pos" config variable. Syntax:
    sdl_video_window_pos "center"
    sdl_video_window_pos "100,100"
    sdl_video_window_pos ""
[+] Access violation emulation for the "S1 Floor Raise Donut (changes texture) (9)" action in demo compatibility mode. "-donut floorheight floorpic" - takes custom values, overriding the program's default values ("-donut 0xF1000000 7", for DOSBox behavior). Disabled by default.
[*] Updated to newest SDL libraries: SDL.dll v1.2.14, SDL_net.dll v1.2.9.
[*] The "Sky Mode" GUI setting and "gl_drawskys" config variable have been removed. Now "SkyBox" is used if mouse look is enabled, "Standard Sky" otherwise. There is no more sky stretching with "SkyBox" mode.
[-] Fixed stat screen animation for The Ultimate Doom and the Doom II cast BOSSBACK after MAP30 when using 'not adjusted' rendering.
[-] Fixed detail walls when "GL_ARB_multitexture" extension is not supported or gl_compatibility is used.
[-] Fixed bug where music doesn't change after IDMUS is used and a New Game is started.
[-] Fixed bug where using the "End Level" key while a demo is paused breaks the "End Level" feature.
[-] Fixed vertical scrolling of sky texture in SkyBox mode.
[-] Now the mirror flag for MBF skies is used in SkyBox mode.
[-] Fixed music playback on Windows Vista and 7.

2.5.0.4
[+] Full support for wide resolutions. Aspect will be detected automaticaly, but you can force any ratio from the GUI.
[+] Options\General\Status Bar and Menu Appearance: Not Adjusted / Doom Format / Fit to Width.
[+] Added a -nocheats command line parameter and a deh_apply_cheats config variable to disable applying cheats from dehacked files.
[+] Added a key binding option for mouse look.
[+] Added a "map_grid_size" config variable.
[+] Added a "linear mipmap" texture filtering mode.
[*] Less aggressive patch correctness checks. Makes sense for OBITUARY, where for some patches there is no column beginning exactly at the end of the column directory.
[*] More permissive cheats handler for non-Boom complevels. The following DEH cheats now work:

    No Clipping 1 = !@#$%^&*() - you can't move in Boom with such a cheat
    No Clipping 1 = bb - works incorrectly in Boom
    No Clipping 1 = b/b - does not work at all in Boom, but works in vanilla

    Making a short sequence on a cheat with parameters (idclevXX) will not work in vanilla (0-6) and lxdoom (10) complevels, as in the respective engines.
[*] Ignores sprite lumps smaller than 8 bytes (the smallest possible) in size - this was used by some dmadds wads to mark 'empty' graphic resources. Now you can play 22ventry.wad.
[*] The Boom DEH parser has been restored. You can force it only for demo playback with -boom_deh_parser command line switch.
[-] Fixed a crash on wads with incomplete REJECT table. (introduced in 2.5.0.2)
[-] Fixed an incompatibility with Boom if you have player_bobbing 0 in cfg. (introduced in PrBoom 2.2.2) As a result, there is now a desynch on sewv12r-2135.lmp. Use -emulate 2.2.2 .. 2.5.0.2 for the old buggy behavior when playing such demos.
[-] Fixed a crash related to A_BFGSpray with NULL target when using dehacked patches - discovered with insaned2.deh (thanks CSonicGo and fraggle). Certain functions assume that a mobj_t pointer is non-NULL, causing a crash in some situations where it is NULL. Vanilla Doom did not crash because it lacked proper memory protection.
[-] Fixed a crash (division by zero) in Boom HUD code for "Max ammo = 0" in a DEH.
[-] Fixed flats drawing on a Mac in case of render_precise 1.
[-] Fixed an overflow of the mapnames array (-iwad tnt.wad -file ht.wad -warp 33)
[-] Avoids z-fighting between grid and walls on automap in GL mode. (introduced in 2.5.0.3)
[-] Fixed a vanilla automap grid bug: losing grid lines near the map boundary. (from EE)
[-] Fixed an issue where walls look full-bright from close up. Added a "render_old_lightmaps" config variable for 16 (old) or 32 (new) lighting levels.
[-] Fixed an issue with fake floors. See the colored room in boomedit.wad, as an example. (introduced in 2.5.0.2)
[-] Hi-res textures in TGA format are now loaded from PWADs.

Links for the demos, wads and topics referred to above:
http://www.doomworld.com/vb/showthread.php?s=&postid=790596#post790596 (sewv12r-2135.lmp)
http://www.doomworld.com/idgames/index.php?id=4442 (insane2.deh)
http://www.doomworld.com/idgames/index.php?id=2849 (22ventry.wad)

2.5.0.3
[+] Simple shadows, from Doomsday.
[+] New "Fog Based" sector light mode which is very similar to software mode. If it doesn't work correctly, try updating your drivers or replacing your ATI, because per-pixel fog (GL_NICEST) doesn't work with some ATI cards or their drivers.
[+] New map_always_updates config variable that can be toggled between updating unexplored parts in automap mode or the classic behavior.
[*] No multisampling in automap mode.
[*] Speed improvement in OpenGL mode: ~25% on nuts.wad, 7% generally.
[*] Automap drawing optimisation in GL mode: 220 fps instead of only 30 on map05 @ dv.wad after IDDT IDDT.
[-] Fixed middle texture bug on Claustrophobia 1024 map06, sector 39.
[-] Fixed desynch on longdays.wad (-emulate 2.5.0.1/2 for viewing demos recorded with buggy versions).

2.5.0.2 @ 2009.05.09
[+] Support for DeePsea's tall patch method: Now it's possible to use patches of any height.
[+] Support for hi-res textures in wads. You should place them between HI_START/HI_END markers.
[+] Fog in "gzdoom" lighting mode.
[+] High Quality Resize modes. Scale2x/3x/4x are supported. Thanks to Benjamin Berkels.
[+] An alternative way of sky drawing was added. "Sky Mode: Skybox". It's slower than the "Standard" method, but looks better if you use mouse look. Also, it's the only way to see skies properly on old hardware, like 3Dfx Voodoo Graphics, ATI 3D Rage Pro, and others which don't support "Environment Mapping".
[+] Added a "gl_clear" config variable for clearing the screen between frames. This is only necessary when developing a map, to see HOMs.
[+] Added a "gl_ztrick" config variable for very old hardware, like 3Dfx Voodoo, NVidia RIVA128, etc. If this toggle is enabled the game will not clear the z-buffer between frames. This will result in improved performance (~10%) but might cause problems for some display hardware. Makes sense with gl_compatibility 1 and gl_clear 0. Do not use it with TNT2 or better, as performance will be slower.
[+] Now PrBoom-Plus can save all necessary playback information at the end of demos without loss of compatibility. With such demos you just need to type "prboom-plus demoname" or click on a demo from your browser, archives manager or explorer and prboom will make any additional work by itself without any assistance. PrBoom-Plus will check for a demo footer and if it is present, will read which IWAD, PWAD and DEH files were used for recording, will try to download necessary add-on files from the Internet and will play the demo for you.
    Currently, PrBoom-Plus saves the following information (with demo_extendedformat 1):
    - VERSION - version of DemoEx format (1.0)
    - PORTNAME - port name and version (PrBoom-Plus 2.5.0.1)
    - PARAMS - iwad, pwads, dehs and critical for demos params like -spechit
    - MLOOK - mouse look data
    For the automatic downloading of files, one must specify the getwad_cmdline parameter in the PrBoom-Plus config file. Examples:
    getwad_cmdline "D:\games\Doom2\getwad\getwad.exe"
    getwad_cmdline "C:\my_cool_app -download_pwad_from_somewhere %wadname% -here c:\doom2"

[+] PrBoom-Plus can now apply Boom colormaps to hires resources.
[+] Supports independent OpenGL filtering methods (nearest, linear, etc) for textures, sprites and patches.
[+] It's now possible to change screen resolution from the GUI.
[+] An option to see any monsters that are still alive through walls. By default it's toggled with "Numpad /". It has two modes: All sprites with living monsters or living monsters only. Works only in GL mode.
[*] PrBoom will attempt to play a DEMO4 lump present in a wad immediately after DEMO3, but without exiting with the "W_GetNumForName: DEMO4 not found" error that the Plutonia and TNT executables get. This makes sense for Plutonia 2, which includes a DEMO4 lump that is played back during the demo cycle by vanilla Plutonia.
[*] "PrBoom-Plus" title instead of "PrBoom" on the CREDITS screen page.
[*] Doesn't alter the default skill level when the difficulty skill is selected from the New game menu. An explicit default skill option was added instead, shoehorned into the misc section of page 2 of the General menu.
[*] Smoothing for the edges of textures with holes. (And not only for sprites, as before.)
[*] Screenshots in "gzdoom" lighting mode use current gamma.
[*] Reconfiguration in menu.
[*] Better and faster mipmapping for modern hardware. Support for GL_ARB_TEXTURE_NON_POWER_OF_TWO extention.
[*] Two service variables for developers were added: gl_color_mip_levels and gl_fog_color.
[*] PrBoom-Plus doesn't use detail texture over hires textures.
[*] Textures are reloaded after changing the "Override PWAD's graphics with Hi-Res" option.
[*] Smart algorithm for more seamless flats drawing. In some situations this removes seams from hires flats (between sectors 125 and 126 on map20 @ doom2.wad, etc).
[*] Speed improvement in OpenGL mode.
[*] Can play any episode with The Ultimate Doom, Final Doom, Doom95 and DosDoom compatibilities and -warp command line switch. Now you can play E5M1 @ 2002ado.wad with "-warp 5 1 -complevel 3". The (vanilla) Ultimate Doom executable also allows this.
[*] Some interpolation code was optimized. This fixes slowdowns on the beta of ndcp2.wad map02.
[*] Speed improvements. Some timedemo examples for my hardware (Intel Core2Duo 3.0, NVidia GeForce 8800 GTS):

    Command line: [port] -geom 640x480 -window -nosound -file [pwad] -timedemo [demo]
    Files: epic.wad, epic.lmp, nuts.wad, nuts.lmp, dv.wad

                              epic.wad   nuts.wad   dv.wad
    glboom  2.5.0             126        53         560
    glboom+ 2.5.0.1           234        130        640
    glboom  2.5.0.1.fast      277        134        705
    glboom+ 2.5.0.2           362        149        834

    prboom  2.5.0             174        115        400
    prboom+ 2.5.0.1           158        114        382
    prboom+ 2.5.0.2           191        121        424

[-] Fixed a rare wrong sprite rotation glitch when render_paperitems is 0.
[-] Avoids segfaults on levels without nodes, and refuses to load maps with an incomplete pwad structure.
[-] Avoids segfaults with unknown patch formats, and checks if the patch lump can be a Doom patch.
[-] Gets rid of a line of graphics on some middle textures with holes. Sector #42 on gravity.wad as an example.
[-] Doesn't render holes between flats and walls in some situations, on some hardware. Sector #557 @ map21 @ pl2.wad. GLBoom-Plus now renders per linedef instead of per seg. Performance has increased a little as a bonus. Also, some small texturing glitches are gone. See linedef #361 @ bbb.wad, as an example.
[-] Gets rid of a half-pixel mismatch on seams between identical and correctly aligned textures in GL. This was an old GLBoom bug which is now fixed.
[-] Fixed incorrect flipping for "Transfer Sky Texture" actions (272 <-> 271) in OpenGL.
[-] Fixed issue with near-clip plane. Works only on NVIDIA.

From PrBoom
- Don't set default skill level from the new game menu. Added explicit default skill option.

Links for the demos, wads and topics referred to above:
http://www.doomworld.com/idgames/index.php?id=15467 (gravity.wad)
http://www.doomworld.com/idgames/index.php?id=15216 (bbb.wad)
http://www.doomworld.com/idgames/index.php?id=15125 (epic.wad)
http://prboom-plus.sourceforge.net/epic.zip (epic.lmp)
http://www.doomworld.com/idgames/index.php?id=11402 (nuts.wad)
http://prboom-plus.sourceforge.net/nuts.zip (nuts.lmp)
http://www.doomworld.com/idgames/index.php?id=12597 (dv.wad)
http://www.doomworld.com/idgames/index.php?id=15550 (pl2.wad)
http://www.doomworld.com/idgames/index.php?id=15652 (ndcp2.wad)
http://www.doomworld.com/idgames/index.php?id=11657 (2002ado.wad)

2.5.0.1 @ 2008.11.23
[!] Updated to the latest prboom 2.4.8. (SVN build, revision 2936)
[+] New hardware-mode algorithm for drawing flats into holes left by missing textures, greatly improving compatibility with software mode. This requires a stencil. This revision fixes at least one billion HOMs on various levels which use this software trick. Eternal.wad map28 as example. Old algo will be used with gl_compatibility 1 in cfg. Thanks to GrafZahl.
[+] Experimental cygwin/mingw32 compilation support.
[*] Resolution limitation is removed. Memory usage has decreased as a bonus. 7 mb instead of 8 on map01 @ doom2.wad and 14 mb instead of 18 on map05 @ epic.wad at 640x480.
[*] launcher_enable variable now has three values: "never", "smart" and "always". "Smart" behaviour was default earlier.
[*] Attempt to optimise screen pitch to reduce CPU cache misses in any resolution.
[*] Do precache level with normal demo playback if level_precache 1
[-] Fixed rare crash in FixedDiv introduced in Boom.
[-] Status Bar was affected by light level of the sector on some on-board Intel video cards.
[-] PrBoom will not try to show (with following unexpected exit) the fourth episode menu item for pre-ultimate iwads. Makes sense for doom.wad v1.2, DOOM 1 shareware and DOOM 1 registered. (introduced in 2.4.8.3)
[-] Re-fix vanilla imprecise calculation (vibrations) of the texture coordinates for flats in software renderer.
[-] Fixed wipe in software.

From PrBoom
- Restore special case for trivial maps (bug #1837422)
- Fix linear filtering on flats in software mode
- Fix crash when an unknown sprite is used with a non-zero frame number
- Fix crash by testing for null targets in mancubus fire code pointers

2.4.8.5 @ 2008.10.02
[*] Set processor affinity mask under non-Windows platforms using the POSIX API (from chocolate-doom). This is a workaround for a bug in SDL_mixer that causes occasional crashes.
[-] Fixed crash when the nodes used for in-wad demo playback are not the same as those used for playing. (introduced in 2.4.8.3)
[-] Strange behaviour may result if a dehacked patch changed the music or sound lump names. (introduced in 2.4.8.2)
[-] Fixed crash if a response file (i.e. @myargs.rsm) is used.

2.4.8.4 @ 2008.09.07
[*] New application icon.
[*] ENDOOM/ENDBOOM support using text mode emulation by fraggle.
[*] New algorithm for detection of fake flats and ceilings. It is much more correct and little bit quicker. Now glboom+ can detect complex systems from sectors without bottom/top textures and draw correct height, lighting and pic. Eternal.wad, map05, sectors 462 and 489 are simple examples; see sourceforge bug #2083354 for more examples.
[-] Memory overrun in F_BunnyScroll in software mode. Introduced in 2.4.8.3.
[-] Wrong flats drawing in software mode. Introduced in 2.4.8.3.

2.4.8.3 @ 2008.08.23
[!] Updated to the latest prboom 2.4.8. (SVN build, revision 2741)
[+] Support for DDS format of hires textures.
[+] Ability to change the level of anisotropic filtering from the in-game menu.
[+] Real "black and white" effect for invul. It needs OpenGL 1.3.
[+] Motion blur effect for strafe50. (gl_motionblur 1 in config)
[+] Ability to use only the allowed CPUs. It is necessary for buggy SDL_mixer (<=1.2.8 at least) on multi-processors at least win32 systems. process_affinity_mask in config. A process affinity mask is a bit vector in which each bit represents the processor on which the threads of the process are allowed to run.
[+] gl_compatibility variable in cfg. Try setting it to 1 if you have any problems in OpenGL. All OpenGL extensions will be disabled in this case.
[+] An alternative way of sky drawing was added (gl_drawskys 2 in cfg). This method make sense only for old hardware which has no support for GL_TEXTURE_GEN_*. Voodoo, for example. There are some bugs with alternative skies (see map12), but it is better than being without a sky at all. If you have red color instead of sky, then this ability is for you.
[+] Ability to play wads with wrong SEGS lump if workaround is possible. Demo recording is not allowed on such levels. See e1m9 @ NIVELES.WAD as example.
[+] Additional sector light mode was added. (Options\General\Sector Light Mode - GZDOOM) This method has 32 levels of brightness instead of 5. There is new command-line switch "-resetgamma" for restoring original gamma after crashes.
[+] Ability to play MP3 and OGG from wad.
[+] New 'mixed' lighting mode for opengl. It uses gamma ramps like in gzdoom mode and it has 32 levels of gamma, but instead of changing device gamma it applies new gamma to textures. So it needs to reload all textures after change of gamma.
[+] Added demo compatibility with chex.exe  ("-exe chex" command-line switch)
    glboom-plus.exe -iwad doom.wad -exe chex -file chex.wad -deh chex.deh -playdemo chex1.lmp
    You must use chex.deh by fraggle
    http://chexmania.tripod.com/downloads.htm
    http://www.doomworld.com/idgames/?id=15420
[*] Win32 build is compiled with Microsoft Visual Studio 2008.
[*] OpenGL: Original doom added/removed one light level for walls exactly vertical/horizontal on a map, but old code used 8 instead of 16.
[*] More precise rotation of sprites if render_paperitems is set to zero.
[*] Unsupported GL nodes will be ignored instead of closing PrBoom-Plus with an error message.
[*] Ability to play wads with wrong flat names. Unknown flats will be replaced with "NO TEXTURE" preset from prboom-plus.wad.
[*] Make missing sounds non-fatal. Makes sense for doom.wad v1.2 to skip some absent sounds.
[*] Intercepts overrun code should work properly on big endian machines as well as little endian machines.
[*] The title screen music in deca.wad is a corrupted mus that nonetheless somehow manages to play properly in Vanilla Doom. Now you can hear such music in PrBoom-Plus too, because new mus2mid code is capable of converting the corrupted mus when MUS header checking is disabled.
[*] MBF Sky property-transfer linedef types will be applied for boom compatibility again. It was a bad idea to disable it.
[*] Advanced syntax for -geom command-line switch. Syntax: -geom WidthxHeight[w|f], w - windowed, f - fullscreen. Examples: -geom 320x200f, -geom 640x480w, -geom 1024x768
[*] Speedup in software renderer.
[*] "Rendering Quality" now is available in software mode too. "Quality" mode can kill some "slime trails", but it works slower. In the previous version of PrBoom-Plus the "Quality" mode was forced.
[*] Lower memory usage if colormaps are used in OpenGL.
[*] Speedup of level reloading in OpenGL mode (savegame, loadgame, loadgame...). Loadgame from the current (same) level now is much faster (100x). It is very noticeable on big levels like MAP05 @ epic.wad.
[*] There is no longer a need to restart glboom-plus after a change of texture filter (mipmap, aniso)
[*] More accurate patch drawing. Predefined arrays are used instead of dynamic calculation of the top and bottom screen coordinates of a column. New algo makes sense for small elements of the HUD (digits) in resolutions which are not multiple of 320x200.
[*] "-videodriver" switch choice is saved in cfg.
[*] For pre-Ultimate Doom complevels, the fourth episode is not allowed.
[-] Fixed crash after "reset to defaults" from in-game menu. It's an old bug and all the previous versions of prboom worked without crash only by luck.
[-] Fixed bug if translucency percentage is less than 50, in which case all translucent textures and sprites disappeared completely.
[-] Disabling transparency in OpenGL for original sprites which are not changed by dehacked, because it does not work correctly in cases when transparent sprites are behind transparent walls. Global sorting of transparent sprites and walls is needed.
[-] Mouse look did not work on automap in overlay mode.
[-] Fix bug with bringing up the launcher with SHIFT key.
[-] Rooms you haven't visited and are behind closed doors (with no windows) show up on the automap when you walk up to the doors without opening them. This bug was introduced in the 2.4.8.2 release with new clipper code.
[-] Fixed problems with association of PrBoom-Plus with DOOM demos if you are not Administrator. Makes sense for Vista.
[-] Fix bug with sky at the bottom part of an imaginary skybox around a level if mouse look is used. Map30 @  "Deus Vult II: First Edition" is a good example.
[-] OpenGL: More correct (similar to software) drawing of skies with height more than 128 if mouse look is not used.
[-] Fix random color of pixels instead of black during first wiping on fullscreen in software mode.
[-] Bug with sprites on big-endian systems like Apple's Macintosh line prior to the Intel switch.
[-] Fixed error in OpenGL when upper texture on the linedef with "Transfer Sky Texture" action is not set ('-'). 'ASHWALL1' with zero index must be forced in this case, which I did for normal not transferred skies some time ago.
[-] Fix vanilla imprecise calculation (vibrations) of the texture coordinates for flats in software renderer. Visplanes with the same texture now match up far better than before. You can see this bug on cchest2.wad\map02 in the room with moving illumination around the room with sector 265. The new algo is ~1% slower than the original and will be used only if render_precise is 1.
[-] Fixed wrong processing of the "Blue Armor Class" and "Green Armor Class" strings from a DEH.
[-] "Flashing HOM indicator" option did nothing. Fixed.
[-] Fixed crash between e1m4 and e1m5 on chex.wad.
[-] Key for entering setup menu had no entry in config.
[-] The supersecret "COOL!" area of Kama Sutra map15 had a rather ugly texturing bug (GL only).
[-] There is no longer a line of graphics under certain weapons in GL.

From PrBoom
- Added high color rendering.
- Ignore switches that reference unknown textures instead of exiting.
- When using spy mode in a multiplayer demo in demo_compatibility mode, play the expected player's pickup sounds (the currently displayed player, not the player at the console when the demo was recorded).
- Fix crash when loading maps with missing player starts.
- Fix crash when reloading network savegames.
- Fix bug in transparency rendering caused by doing it in two places.
- Fix the colour of player 4 (red) in multiplayer.
- Fix position of netgame player arrows on automap in rotate mode.
- Always draw player arrows on the automap in deathmatch demo playback. Previously they'd only be drawn if you played the demo from the command line.
- Ignore chat key presses in demo playback and in -solo-net

Links for the demos, wads and topics referred to above:
http://www.doomworld.com/idgames/index.php?id=12647 (niveles.wad)
http://www.doomworld.com/idgames/index.php?id=8808 (deca.wad)
http://www.doomworld.com/idgames/index.php?id=15125 (epic.wad)
http://chexmania.tripod.com/downloads.htm (chex.wad)
http://www.doomworld.com/idgames/?id=15420 (chex.deh)

2.4.8.2 @ 2007.10.16
[!] Updated to the latest prboom 2.4.8. (SVN build, revision 2423)
[+] New mouse code without SDL lags. Win32 mouse handling was removed.
[+] Boom colormaps are supported in OpenGL mode.
[+] New mus -> mid conversion code thanks to Ben Ryves <benryves@benryves.com> This removes bugs and plays back a lot of music closer to Vanilla Doom - eg. tnt.wad MAP02.
[+] Smooth movement: interpolation of weapon bobbing.
[+] New command-line switch "-emulate prboom_ver" for emulation of old buggy behaviour of previous prboom versions during playback of doom\doom2\boom\mbf\lxdoom demos in cases where a prboom bug affects the demo compatibility and leads to desyncs in the original EXEs. Now you can specify only "-emulate 2.2.6" instead of set of -force_remove_slime_trails, -force_boom_brainawake, etc. For example, boom-incompatible demo by Anima Zero cc2lmps.zip\c215-uv.lmp recorded with prboom 2.2.4 in boom compatibility mode can be correctly viewed in newer versions with -emulate 2.2.4 or with -force_prboom_friction.
[+] PC Speaker emulation from chocolate-doom.
[+] New command-line switch "-force_lxdoom_demo_compatibility" for emulation of all bugs in demo compatibility mode in lxdoom. There are no more desyncs on "Doom-incompatible" demos from DHT6 exams.
[+] Ability to force -nomonsters and -respawn for playback of 1.2 demos. Demos recorded with Doom.exe 1.2 did not contain any information about whether these parameters had been used. In order to play them back, you should add them to the command-line for playback. There is no more desynh on mesh.lmp @ mesh.wad (prboom -iwad doom.wad -file mesh.wad -playdemo mesh.lmp -nomonsters)
[+] There is a new command-line switch "-shorttics". This makes it possible to practice routes and tricks (e.g. glides, where this makes a significant difference) with the same mouse behaviour as when recording, but without having to be recording every time.
[+] Wipe screen effect in OpenGL.
[+] Support for Hi-Res textures and patches in OpenGL.
[+] Import the clipper code from gzdoom. Thanks to GrafZahl. PrBoom uses a clipper with screen pixel precision. It isn't precise enough for GL. For GL we need a clipper with angular precision to avoid some kind of glitches.
[*] Events queue will not be cleared at the start. (like vanilla does)
[*] "No Quit Sound" is renamed to "Fast Exit". EndDoom screen will be skipped if this option is turned on.
[*] Effect of invulnerability uses a colormap in OpenGL mode instead of hard-coding. See nuts.wad as example.
[*] "Sky is unaffected by invulnerability" compatibility setting (comp_skymap) works in OpenGL mode now.
[*] "Paper Items" setting is not applied to hanging things.
[*] The player's weapon is displayed much darker than in 'vanilla' and other ports. In this version the mistake is corrected only for software rendering.
[*] Improved support for Doom v1.2: Projectiles, such as monster and player plasma and rockets, were able to activate down-wait-up type lifts in versions of Doom up to v1.2.
[*] Monsters on automap are drawn on top of other things to avoid situations when red triangles (live and countable monsters) are hidden by the green triangles for non-countable things.
[*] Show a warning if savegame is from the previous version of prboom-plus.
[*] "-recordfromto" works for all levels of compatibility.
[*] Improved precision. There are no more HOM's on maps with big open areas: nuts.wad at some positions, thespir2.wad at the start, "Generator of Evil.wad" in last room, MAP05 @ epic.wad everywhere, etc.
[*] Huge speedup in OpenGL on levels with sectors which have many lines. I've got 87 fps (timedemo) on MAP05 @ epic.wad in this version instead of 64 in 2.4.8.1.
[*] Compatibility with common mapping errors "linedefs w/o tags apply locally" works with Walk and Gunfire triggers (not only with switches) as in ZDoom.
[-] Non traditional menu was removed to avoid problems with, e.g., Alien Vendetta.
[-] Launcher: wrong strings in history combobox.
[-] Fixed Boom incompatibilities. There are no more desyncs on Donce's demos on horror.wad.
[-] Fixed Boom incompatibilities. Original friction and bobbing code was restored. There are no more desyncs on cybart.lmp @ Artica.wad and dismlmp.lmp @ dismem.wad. "-force_prboom_friction" for emulation of old buggy behaviour.
[-] %DOOMWADDIR% had no effect for PWADs and DEHs.
[-] A strip of rendered graphics could sometimes be seen under the status bar, along the bottom during intermission screens and in the rollcall screen.
[-] With OpenGL rendering, many of the translucent windows in MAP29 @ cchest2.wad are visible from one side only.
[-] Boom bug: Fixed incompatibility with original EXE's (complevels 0..6) on levels with "Monster Spawner". "-force_boom_brainawake" for emulation of old buggy behaviour. There is no more desync on 300340HR.lmp @ RlmChaos.wad.
[-] When radsuit ends, palette changes w/o warning.
[-] When playing back with -recordfromto, and before resuming recording, pausing causes playback to desync.
[-] OpenGL: Fix an issue with lines (boxes) which appear around the elements that change on the intermission screens in Doom1.
[-] When a file with the .BEX extension is used in an autoloading pattern, the program fails to load it.
[-] Boom bug: Correction for DEHs which swap the values of two strings. For example: Text 6 6 - RUNNINSTALKS; Text 6 6 - STALKSRUNNIN. There are no more bugs on MAP05 @ Allhell.wad.
[-] Kills percentage, if extremely high, was reported wrongly and could in theory lead to desyncs.
[-] PrBoom bug: Par times were not displayed. The program was viewing prboom(-plus).wad as a pwad, and therefore the piece of code that suppressed par times was always being triggered.
[-] Sometimes the pistol sounds that play while the tallies are being totaled on the end screen will play for too long after the completion time has finished tallying.
[-] There is no more crash on e1cmnet3.lmp between e1m2 and e1m3.
[-] Smart totals: Monsters spawned by an Monster Spawner should not be countable for total killed.
[-] Avoid crashes at end of demos if DEMOMARKER (0x80) does not exist at the end.
[-] ScreenShot feature did not work with "-videodriver directx" on fullscreen software.
[-] There are no more visual glitches with sky on MAP14 @ Icarus and MAP20 @ Hell Revealed. GZDoom still has this bug.
[-] Fix of no warning (flashes between shadowed and solid) in OpenGL when invisibility is about to go.
[-] Fixed wrong finding of next highest floor (linedef action 18, 20, 131) for demo compatibility. There are no more desyncs on napalm.wad.
[-] The priority system is broken in the ouch face code in a way that makes the face not work with monster damage.
[-] Moved mouse sensitivity menu upwards a little to avoid overlap with status bar with accompanying visual glitches on software renderer.
[-] The bug in the algorithm for splitting of a sector into closed contours was fixed. There is no more HOM at the starting area on MAP16 @ Eternal.wad in OpenGL. I hope nothing was broken.
[-] Correction of an overflow in calculation of a sound origin on large levels. New code is applied only for non-compatible modes and with comp_sound equal to zero. There is no more bug with an absent sound after pressing the distant western switch on Hell Spirit (not released) by Alexander "Eternal" S.
[-] Premature program exit during MAP26 in 4-player coop demo 29uv4p_*.lmp @ doom2.wad. This bug was introduced in r1458 by cph for 2.4.3 release.
[-] Wrong calculation of weapon width in OpenGL in some cases, especially during movement. Shotgun in DSV3_War looks correct now.
[-] OpenGL: Blink during demoskip on fullscreen.
[-] OpenGL: Bug with duplicated lines, e.g. MM.WAD Map22 lines 1298 and 2397. There is no more HOM on Memento Mori MAP22 sector 299.
[-] Fixed slowdown during screen melt at 1024x768 on some systems.
[-] Transferred sky texture on scrolled wall were not scrolled with mouselook or changed FOV.
[-] Sky property-transfer linedef types (271, 272) should not be applied for BOOM complevels.

Links for the demos, wads and topics referred to above:
http://www.doomworld.com/idgames/index.php?id=13635 (HORROR.WAD)
http://competn.doom2.net/pub/sda/0-a/art_950.zip
http://www.doomworld.com/idgames/index.php?id=9832 (Artica)
http://competn.doom2.net/pub/sda/d-h/dis_0942.zip
http://www.doomworld.com/idgames/index.php?id=9787 (Dismemberment)
http://www.doomworld.com/idgames/index.php?id=11402 (NUTS)
http://competn.doom2.net/pub/sda/b-c/cc2lmps.zip
http://www.doomworld.com/idgames/index.php?id=6480 (allhell.zip)
http://competn.doom2.net/pub/compet-n/doom/coop/movies/e1cmnet3.zip
http://www.doomworld.com/idgames/index.php?id=13976 (MESH.WAD)
http://www.doomworld.com/idgames/index.php?id=15025 (Napalm)
http://www.idoom.cz/dema/lan/doom-open-2003/Exhibice.zip
http://www.doomworld.com/idgames/index.php?id=11009 (DSV3-War)
http://www.doomworld.com/idgames/index.php?id=14476 (The Spire 2)
http://www.doomworld.com/idgames/index.php?id=14975 (Generator of Evil)
http://www.doomworld.com/idgames/index.php?id=15125 (EPIC)
http://www.doomworld.com/idgames/index.php?id=11790 (Alien Vendetta)
http://www.doomworld.com/idgames/index.php?id=13024 (Community Chest 2)
http://www.doomworld.com/idgames/index.php?id=10513 (Realm of Chaos)
http://www.doomworld.com/idgames/index.php?id=5191 (ICARUS: ALIEN VANGUARD)
http://www.doomworld.com/idgames/index.php?id=7947 (Hell Revealed)

2.4.8.1 @ 2006.12.26
[!] Updated to the latest prboom 2.4.8 (SVN).
[+] Compatibility with common mapping errors: "Walk underneath solid hanging bodies". Thanks to RjY.
[+] Launcher: Autoselecting of wads according to the lmp file-name (using regular expressions)
[+] Two new compatibility options are added:
    comp_ouchface - "Use Doom's buggy 'Ouch' face code"
    comp_oofsound - "Dead players make 'oof' sound when landing"
[+] New "-auto" command-line switch for autoloading of wads according to the lmp file-name.
[+] There are three modes of sprite clipping in opengl:
    Constant  - gl_sprite_offset used;
    Always    - if the sprite is below the floor, and it's not a hanger/floater/missile;
    Smart     - if the sprite is below the floor, and it's not a hanger/floater/missile, and it's not a fully dead corpse;
[+] Demo progress bar works during skipping.
[+] Improved handling of unrecognized demo formats. Legacy and Boom v2.00 demos do not crash PrBoom-Plus now.
[+] "Use" key ("space" by default) during skipping will show the current frame.
[+] New "all-in-one" version that includes the resource wad and SDL files inside the exe.
[*] Compatibility with common mapping errors "Pad a too short reject with zeros" was removed. Added new command line switch "-reject_pad_with_ff". PrBoom 2.2.5 and 2.2.6 padded a short REJECT with 0xff (ones) instead of zeros. This command-line switch may be needed for demos recorded with these versions of PrBoom on maps with a too short REJECT. For example: lwfirst.wad\equ7-108.lmp.
[*] Improvements in text labels:
    "Pain elemental limited to 20 lost souls"    -> "Pain elementals limited to 21 lost souls"
    "All boss types can trigger tag 666 at ExM8" -> "Emulate pre-Ultimate BossDeath behaviour"
    "Ultimate Doom v1.9" -> "Ultimate Doom/Doom95"
    "Final Doom/Doom95"  -> "Final Doom"
[*] Removing startup delay during recording. You can record demos from the first tic now.
[*] Correction in "smart items clipping": a not fully dead corpse should be moved up, exploding barrels for example; a missile should not be moved.
[*] Improved support for Doom v1.2:
    Max Health Bonus = 199;
    Max Armor = unlimited;
    Max Soulsphere = 199;
    Megasphere Health = 199 (there was no megasphere back then, but this seems consistent);
    Lost souls "Affect Kill %";
    Monsters could commit suicide if they damaged themselves by exploding a barrel;
[*] "Total Level Times" are saved with any level of compatibility.
[-] Launcher: WADs not containing levels were not displayed in the files list.
[-] GLBoom bug: Things disappeared behind translucent things sometimes. gl_sortsprites has no effect now.
[-] GLBoom bug: Wrong (with holes) drawing of the background for the loadgame and savegame entries.
[-] GLBoom bug: Wrong alignment of texture with 'lower unpegged' flag on two-sided walls in upper part. Linedef 527 on STRAIN.WAD\MAP09 for example.
[-] Eliminating the six-tic jump when changing speed.
[-] Boom bug: Generalized effects could work instead of failing in a 'vanilla' compatibility mode. "-force_truncated_sector_specials" for emulation of old buggy behaviour. There are no more desyncs on vv2.wad\map06, etc.
[-] Boom bug: Fix of hanging decoration disappearing in Batman Doom MAP02. Lee Killough's math should be rechecked there.
[-] PrBoom bug: Pausing during intermission in playback could cause desyncs.
[-] PrBoom bug: Bug in handling of common strings in deh files introduced by cph in PrBoom 2.4.2.
[-] PrBoom bug: comp_doorstuck should be forced (but was not) for boom201 compatibility. There is no more desync on DEMONIPA.WAD\demp-208.lmp
[-] PrBoom bug: The behaviour with comp_666 was that the death of all barons on E2M8 or E3M8 ends the level, heh. This is incorrect; it should have no effect. The bug was introduced in 2.4.x by cph. After some tests and disassembling I conclude that the implementation of A_BossDeath() in all compatible ports (PrBoom, Eternity, Chocolate-Doom) is totally wrong for doom2 compatibility. This version should fix the buggy behaviour. There is no more desync (premature exit) on doom.wad\episode3.lmp
[-] Predefined translucency setting (comp_translucency) could override deh settings.
[-] Sometimes the figures for kills, items, etc., stopped getting updated.
[-] PrBoom bug: Fixed Boom v2.01 incompatibilities. There are no more desyncs on demonipa.wad\demp-800.lmp, tomb.wad\tomb.lmp, venom.wad\ven-1116.lmp.
[-] PrBoom bug: Fixed an MBF incompatibility. There is no more desync on vrack2.wad\v2-2822.lmp. "-force_no_dropoff" command-line option is for mbf_compatibility demos recorded with prboom 2.2.2 - 2.4.7 in case of desyncs.
[-] PrBoom bug: Weird texture problem. (spacelab.wad - GL only)

Links for the demos, wads and topics referred to above:
http://www.doomworld.com/idgames/index.php?id=14219
http://competn.doom2.net/pub/sda/d-h/equxlmps.zip
http://www.doomworld.com/idgames/index.php?id=8467
http://www.doomworld.com/idgames/index.php?id=14582
http://www.doomworld.com/sda/dwdemo/vv206324.zip
http://www.doomworld.com/idgames/index.php?id=12391
http://www.doomworld.com/idgames/index.php?id=3336
http://competn.doom2.net/pub/sda/d-h/demp-208.zip
http://www.doomworld.com/idgames/index.php?id=6909
http://competn.doom2.net/pub/sda/d-h/demp-800.zip
http://www.doomworld.com/idgames/index.php?id=3336
http://competn.doom2.net/pub/sda/t-z/tomb_850.zip
http://www.doomworld.com/idgames/index.php?id=8148
http://competn.doom2.net/pub/sda/t-z/ven_1116.zip
http://www.doomworld.com/idgames/index.php?id=9215
http://competn.doom2.net/pub/sda/t-z/v2-2822.zip
http://www.doomworld.com/idgames/index.php?id=11138
http://www.doomworld.com/idgames/index.php?id=6826

2.4.6.1 @ 2006.09.16
[!] Updated to the latest prboom 2.4.6.
[+] Mac specific: OpenGL version is available for Mac too.
[+] Holding down SHIFT during startup for bringing the launcher up even if you have disabled it in settings.
[+] Option to disable "doubleclick as use" behaviour.
[+] Option "Max View Pitch" for restriction of the maximal looking up/down angle. (0-90)
[+] "-spechit XXX" command line switch.
[+] Compatibility with common mapping errors: "Pad a too short reject with zeros".
[+] Autodetect of unconverted tas demos.
[+] Options for showing progress bar during demo playback and demotime/totaldemotime style as alternative.
[+] New Screen Multiple system (like in chocolade-doom) and Interlaced Scanning for this. (emulators and TV style)
[+] New "-videodriver name" command line switch (sdl_videodriver variable in config) for setting up the videodriver name that SDL will use. The "windib" video driver is the default now, to prevent problems with certain laptops, 64-bit Windows, and Windows Vista. The "directx" video driver is forced by PrBoom-Plus only for soft rendering on Win9x systems to prevent some problems on out-of-date systems. Also, you can use the "default" value to force SDL behavior by default.
[+] Possibility to enable/disable the Launcher from its window.
[+] Launcher: iwads are now shown in the files list so that they can be used as pwads
[*] Default key to take over the controls with resume recording feature was changed to 'q'. Default key for switching between chasecam/walkcam/normal views was changed to 'KeyPad0'.
[*] "-playdemo demo -warp X -skipsec Y" will skip Y seconds on X level.
[*] Reconfiguration in settings. Most of the PrBoom-Plus settings are moved to General.
[*] Config entry for "uncapped framerate" was renamed from "movement_smooth" to "uncapped_framerate" as in upcoming PrBoom.
[*] Uncapped framerate: speed update up for HUD on slow systems.
[*] Forcing "directx" video driver for software rendering in Win9x.
[*] Alt mouse handling: Do not grab mouse if the application has no keyboard focus.
[*] Alt mouse handling: Disabled for win9x.
[-] Mac specific: Mouse did not work with switched on "alt mouse handling". Disable this feature for non-windows platforms.
[-] Fix a crash after pressing the walkcam key at the intermission screen, the game final animation, or a demo.
[-] IDRATE cheat shows correct FPS with uncapped framerate.
[-] Fix for incorrect chasecam/walkcam sight after loading of the next level.
[-] Fixed crash with newest sdl_mixer.dll after skipping level during playdemo.
[-] GLBoom: Correction of displaying (HOM) of the textures with holes (MIDBARSX, MIDGRATES, etc) on the one-side walls at OpenGL. fenris.wad as example.
[-] PrBoom bug: Fixed crash with zero-size BLOCKMAP lumps.
[-] PrBoom bug: Fix compatibility issue with building stairs. There is no more desync on icarus.wad\ic29uv.lmp
[-] PrBoom bug: Fix compatibility issue was introduced by killough long time ago. There is no more synch :) on dv.wad\dv04-423.lmp. Added switch to force old behavior with demo_compatibility: -force_remove_slime_trails. It is relevant for viewing doom-compatible demos recorded with old versions of prboom (<2.4.6) or prboom-plus (< 2.4.6.1) in cases of desyncs.
[-] PrBoom bug: Fix another compatibility issue. It corrects half of problem of desync on Wotdoom3\w303-115.lmp.
[-] Boom dehacked support: Correction of wrong processing of "Respawn frame" entry. Highly relevant to wads such as Wotdoom3 and any others that change this setting. There is no more desync on Wotdoom3\w303-115.lmp.
[-] PrBoom bug: Fix compatibility issue with buggy MBF behavior (3-key door works with only 2 keys). There is no more desync on 10sector.wad\ts27-137.lmp.
[-] PrBoom bug: Wrong scaling of status bar at some resolutions. Strongly noticeably on ARMS section at 320x240.
[-] Alt mouse handling: Ungrabbing of mouse was not being done before a quit in some cases.
[-] PrBoom bug: Fixed some tasdoom incompatibility. There is no more desync on ddt-tas.zip\e4tux231.lmp. Nowhere no hide.
[-] PrBoom bug: Conflicting command-line parameters could cause the engine to be confused in some cases. Added checks to prevent this. Example: glboom-plus.exe -record mydemo -playdemo demoname
[-] Launcher: Fake iwads could be in the game list. Added a check for "IWAD" signature to prevent this.

Links for the demos, wads and topics referred to above:
http://www.doomworld.com/tas/ts27-137.zip
http://prboom.sourceforge.net/mbf-bugs.html
http://www.doomworld.com/sda/dwdemo/dv04-423.zip
http://competn.doom2.net/pub/sda/i-o/icuvlmps.zip
http://www.doomworld.com/idgames/index.php?id=5191
http://www.doomworld.com/sda/dwdemo/w303-115.zip
http://www.doomworld.com/idgames/index.php?id=13815
http://www.doomworld.com/vb/showthread.php?s=&postid=627257#post627257

2.4.3.1 @ 2006.07.25
[!] Updated to the latest prboom 2.4.3.
[!] PRBoom-Plus is now available on UNIX, Linux, and other POSIX systems and also on Mac.
[+] Several predefined cfgs and batch launcher for them are included.
[+] Simple aspect ratio adjustment made possible in OpenGL. It may be useful for people with unusually shaped monitors. Some usage examples:
    glboom-plus.exe -aspect 320x240 
    glboom-plus.exe -aspect 2x1
[*] Changes in processing of spechit overflow for correct playback of some Xit's demos on scythe2.wad\map02.
[*] Roll back to old SDL library. Some people had some problems with new.
[*] The maximal supported resolution is increased from 1600x1200 up to 2048x1536.
[*] GLBoom will try to set the closest supported resolution if the requested mode can't be set correctly. For example glboom.exe -geom 1025x768 -nowindow will set 1024x768. It affects only fullscreen modes.
[*] The maximum walking side speed for strafe50 is 0x19.
[*] The prboom's savegamename mask "prbmsav" was renamed to "prboom-plus-savegame". Also:
    prboom_server.exe -> prboom-plus_server.exe
    prboom.exe -> prboom-plus.exe
    glboom.exe -> glboom-plus.exe
    prboom.cfg -> prboom-plus.cfg
    glboom.cfg -> glboom-plus.cfg
    prboom.wad -> prboom-plus.wad.
[-] Fix from Eternity (adapted by RjY) for ancient doom software render overflow that happens when the player goes over a linedef between two sectors of extreme height. There are no more crashes on thespir2.wad.
[-] At use of the keyboard or joystick for strafing, prboom+ always generated strafe50 tics on turns independently of value of a corresponding option.
[-] The launcher did not select last entry from history after start.
[-] Problems with sky on thespir2.wad in opengl.

2.2.6.29 @ 2006.06.08
[+] Detection and emulation of spechit overflow for dosdoom and tasdoom compatibility. There are no more desyncs in the following dosdoom demos: flsofdth.wad\fod3uv.lmp, hr.wad\hf181430.lmp, hr.wad\hr181329.lmp, icarus.wad\ic09uv.lmp
[+] Support for comp_666 and comp_maskedanim
[!] Update to newest SDL libraries. SDL.dll ver.1.2.10.0, SDL_mixer.dll ver.1.2.7.0, SDL_net.dll ver.1.2.6.0
[!] Some variables specific to OpenGL have been removed from the list of variables meant for prboom.cfg
[!] The launcher will not be displayed if IWAD or PWADs are specified in a command-line.
[!] The new PrBoom-plus entries in the configs are preceded by a title.
[-] PrBoom bug: The sky in the third episode of Requiem was not drawn. It did not work correctly because the SKY3 has a zero index in the TEXTURE1 table. Textures with a zero (FALSE) index are not displayed in vanilla - AASHITTY in doom2.wad for example. But the sky textures are processed by different code, which does not have this bug. This bug is also present in the current GZDoom, but it only draws the wrong sky instead of drawing no sky at all.
[-] PrBoom bug: The "Show coordinates of automap pointer" setting has no effect.
[-] FOV had side effect on software rendering.
[-] Alt mouse handling: Eternal rotation of the player at non-standard modes on software mode. Example:
    prboom.exe -geom 1025x768 -nowindow

Links for the demos referred to above:
http://www.doomworld.com/sda/flsofdth.htm
http://www.doomworld.com/tas/hf181430.zip
http://www.doomworld.com/tas/hr181329.zip
http://competn.doom2.net/pub/sda/i-o/icuvlmps.zip

2.2.6.28 @ 2006.05.09
[+] Option to turn off "Paper Sprites". It works only with mouselook, and is only for non-solid sprites.
[!] The command-line parameter "-screenscapture" is renamed to "-avidemo". Also syntax has changed.
[!] Reconfigurations in settings.
[-] Screenshots now use correct palette in software mode.
[-] Screens capturing: do not dump black screens while in skip mode.
[-] Respawned monsters on nightmare do not have countable flag.
[-] Mouse-induced Strafe50 couldn't be achieved.

2.2.6.27 @ 2006.04.05
[+] PrBoom compatibility: two new options for intercepts overflow detection. It detects and tries to emulate overflows on some odd demos like blackbug.lmp, manorbug.lmp, hr27odd.lmp, av08-odd.lmp, etc.
[+] PrBoom compatibility: two new options for playeringame overflow detection. It detects and emulates overflows on vex6d.wad\bug_wald.lmp, vex6d.wad\bug_toke.lmp, etc. It works without crashing in Eternity and chocolate-doom only by good fortune.
[+] Cheating: new command line switches: -trace_thingshealth, -trace_thingspickup, -trace_linescross. Usage:
    -trace_thingshealth ThingID [ThingID] [ThingID]
    -trace_thingspickup ThingID [ThingID] [ThingID]
    -trace_linescross   LineID  [LineID]  [LineID]
[+] Autorun: the "RUN" key inverts the autorun state
[!] PrBoom compatibility: minor changes in processing overflow of spechit array. It became possible after decompiling of DOS EXE.
[!] Names of variables responsible for overflows and their default value have been changed. It's switched on for emulation and switched off for warnings now.
[-] Smooth turns in demos: movements of first player in a net-demo were not smooth if the second player is dead.
[-] GLBoom: from certain angles and distances, things behind a translucent texture become invisible (test).
[-] Boom bug: desyncs after using the key for switching to SSG directly with demo compatibility.
[-] Launcher: the selected IWAD was loaded after preloaded wads.
[-] Detail texture: detail texture moves slower than scrolling floors.
[-] Detail texture: fixes for old videoadapters which do not support gl_arb_multitexture extension (still buggy).
[-] Impossible to change game speed when viewing a net-demo (2.2.6.25).

2.2.6.26 @ 2006.01.31
[+] Launcher: Activated when no wad is specified in the command line.
[+] Smooth movement: scrolling textures are interpolated.
[+] Spechits overflow lines are listed in prboom.exe.
[+] New command-line option (-net1) for single-player coop mode that works for play, recording and playback.
[+] New command-line options for setting a window (-window) or fullscreen (-nowindow) mode temporarily which is not saved in cfg.
[+] Compatibility option to disable translucency applied to certain Things.
[*] Spechit overflow: the size of emulated overflow is limited by 14 lines.
[*] "Smooth movement" renamed to "Uncapped framerate".
[-] PrBoom bug: bug in MBF compatibility mode (version number written wrongly in lmp header when recording).
[-] PrBoom bug: translucency via dehacked/bex doesn't work.
[-] PrBoom bug: DEH files preloaded in wrong order.
[-] PrBoom bug: "Tagged doors don't trigger special lighting" handled wrongly.
[-] prboom-server bug: -1 => 255 instead of maxcompat (14)
[-] Alt mouse handling + OpenGL + Capped framerate + Fullscreen + server = mouse turning disabled (2.2.6.24)
[-] Bug with DEH-files in BEX-Format (2.2.6.23)
[-] The engine grab the mouse when it's waiting for the net game to start (2.2.6.24)

2.2.6.25
[+] PrBoom compatibility: two new options for detection of overflow of "REJECT". It's emulated successfully if the size of overflow no more than 16 bytes. No more desync on teeth-32.wad\teeth-32.lmp.
[+] Compatibility with common mapping errors: "Linedefs w/o tags apply locally". If a linedef type that normally requires a tag (e.g. a remote door) has no tag, then if possible apply the linedef's action to the local sector. Not available for recording, playback or with demo_compatibility.
[+] Compatibility with common mapping errors: "Use passes thru all special lines". Boom's passthru flag is applied to all special lines. This makes it possible, for instance, to press switches that have been placed behind special lines such as scrolling textures. Not available for recording, playback or with demo_compatibility.
[+] Compatibility with various early Doom versions and ports (for playback, overriding autodetect):
    Doom & Doom2, v1.666 : -complevel 1
    Doom2 doom2.exe v1.9 : -complevel 2 ;No more desync on uac_dead.wad\uac_dead.lmp.
    Ultimate Doom v1.9   : -complevel 3
    Final Doom doom2.exe : -complevel 4
    DosDoom              : -complevel 5 ;No more desync on demos from old TAS site
    TasDoom              : -complevel 6 ;And some of Andy Olivera's demos.
[!] Network game works again.
[!] Allowing to mouselook during recording.
[!] Interdiction of change of game speed during network game.
[!] PrBoom+ will not show the advanced statistical information (Smart Totals) in deathmatch.
[!] If file already exists, don't try to continue existing demo with demo_compatibility.
[-] Crash with zero-length sounds.
[-] Bug with DEH-files in BEX-Format (2.2.6.23)
[-] Smooth movement: elevators were not interpolated. Sector #137 @ dmdjm02.wad for example.
[-] Boom dehacked support: wrong processing of Max Health. A new compatibility option has been added so that it applies only to health potions. Highly relevant to wads such as Hacx, Wotdoom3, Anadream, and any others that change this setting.
[-] Issue with dehacked floating monsters in glboom.exe if "Smart Items Clipping" is turned on (2.2.6.20)

2.2.6.24
[+] Option for removing the "wipe" effect.
[+] Option for smoother mouse control.
[+] Mouse acceleration code.
[+] Ability to use savegames while using a complevel.
[!] PrBoom compatibility: changes in processing overflow of spechit array.
[!] The "-recordfrom" switch is renamed into the "-recordfromto"
[-] PRBoom.exe: the screen ceases to be updated after start of new game while you are already in game.
[-] Problems with status bar in prboom.exe (2.2.6.21)
[-] -skipsec broken (2.2.6.23)
[-] Few improvements in the sky rendering. No more HOM in the starting area of Memento Mori map29 and an minor issue in map30.
[-] Translucency won't change until you restart the engine.

2.2.6.23
[+] Dehacked support: Monsters infight.
[-] PrBoom: It crashes when you set game speed over 1000.
[-] "-warp" switch didn't work. (the bug was introduced in 2.2.6.22)

2.2.6.22
[+] PrBoom compatibility: two new options for spechit overflow detection. It detects desyncs like compet-n\hr.wad\hr18*.lmp, all strain.wad\map07 demos etc. 	
[+] Added "-levelstat" switch for levelstat.txt output like this: 
    E4M1 - 0:15.91 (0:15)  K:  8/63   I:  5/21  S: 0/2
    E4M2 - 0:10.97 (0:25)  K:  8/76   I:  6/22  S: 1/3
    E4M3 - 0:08.86 (0:33)  K:  1/140  I:  1/5   S: 0/22
    E4M4 - 0:32.43 (1:05)  K: 19/60   I: 11/23  S: 0/2
    E4M5 - 0:22.89 (1:27)  K: 10/73   I:  0/29  S: 0/2
    E4M6 - 0:23.66 (1:50)  K: 21/97   I:  0/4   S: 0/3
    E4M7 - 0:09.94 (1:59)  K:  6/97   I:  1/18  S: 0/4
    E4M8 - 0:33.94 (2:32)  K: 39/106  I:  1/6   S: 0/1
[+] New key binding for warp directly to the next stats screen. <End> by default. 	
[!] Option "step of speed change" has been restored. Two modes are available: stepwise and automatic. 	
[-] PrBoom dehacked support: wrong processing of Bits parameter if its value is equal to zero. No more desync on HACX demos.
[-] PrBoom compatibility: PRBoom doesn't spawn the boom-specific "specials" in demo_compatibility mode now (generalized scrollers, sector effects). No more desync on umbrella.wad\um3nm152.lmp.
[-] PrBoom compatibility: MF_JUSTHIT fix. No more desync on Sam Woodman's HMP Max demos (HX17-459.LMP etc).
[-] PrBoom: fix for turn-snapping bug on fullscreen in software mode. "..\Advanced HUD settings\Movements\Fix Turn-Snapping issue" 	
[-] PrBoom: deathmatch starts as unknown things with a complevel of 0, 1, 2 or 3. 	
[-] GlBoom: problems with transfering not flipped sky texture (line type 271) to tagged sectors. On war_3.wad\map14 for example.
[-] PrBoom-Plus: mistake of processing of the "quick rewind" key if the player dies.

2.2.6.21
[+] Added switch to force monster_avoid_hazards: -force_monster_avoid_hazards. It is meaningful for viewing doom-compatible demos recorded with "monster_avoid_hazards 1" in config (in cases of desyncs).
[+] Renders bsp tree in automap mode.
[!] Allows mouselook during playdemo in camera mode.
[!] FOV units have been adjusted to conform with commonly used scale. (64=>90)
[!] The step of gamespeed change varies automatically depending on current speed. Option "step of speed change" is removed.
[-] Wrong keys size in automap mode. (the bug was introduced in 2.2.6.19)

2.2.6.20
[+] GLBoom: multisampling (anti-aliasing) support.
[+] GLBoom: "Smart Items Clipping" setting.
[-] Detail texture: dividing by zero.

2.2.6.19
[+] Support up to 65536 sidedefs instead of 32768.

2.2.6.18
[+] "Mouse Look" sprite for "Mouse Sensitivity" in menu.
[+] Demo recording: "overwrite existing" options for overwrite of the existing demo if no savegame presents.
[*] Vert sens.
[*] Smooth movement: more smooth movements at low FPS.
[-] Bugs with no mipmap.
[-] Smooth turns in demos: wrong direction of a player sight after loadgame request caused from the demo.

2.2.6.17
[-] Smooth movement: bugs in algorithm: finally it works perfectly.

2.2.6.16
[-] Bugs of the previous version.
[-] Smooth movement: bugs in algorithm appearing at low framerate.

2.2.6.15
[*] Full mouselook: a big increase in FPS if the viewpitch of the player is in the range from -45 to +45 degrees.
[*] Smooth movement: minor changes.

2.2.6.14
[*] Smooth turns in demos: changes in algorithm. Now smoothing occurs in a range [currtick-smoothfactor..currtick] instead of [currtick-smoothfactor..currtick+smoothfactor]
[-] Smooth turns in demos: wrong direction of a player sight after respawn.

2.2.6.13
[-] Smooth turns in demos: bug arising after forcibly changing of the player's viewangle by the engine at use of a saw or a fist. (Grazza)

2.2.6.12
[*] Smooth turns in demos: changes in algorithm. Now smoothing occurs in a range [currtick-smoothfactor..currtick+smoothfactor] instead of [currtick-smoothfactor..currtick]
[-] Smooth turns in demos: turns did not smooth out if the option of smooth movements has been switched off.
[-] Smooth turns in demos: problems when the demo includes very sharp turns. (Grazza)

2.2.6.11
[+] Demos: option for smooth turns during viewing of demos. It makes sense for TAS demos recorded with slowmotion.
[-] Smooth movement: some flickers after menu closing.
[-] PRBoom issues: prboom uses monster_avoid_hazards setting from the cfg file when you are using -complevel 0 or -complevel 1. If you have this option set to 1 in your cfg, then you are at risk of getting desyncs in demos that feature crushers. (Dashiva)

2.2.6.10
[+] GLBoom: detail texture support for walls and flats. Requires hi-end systems.

2.2.6.9
[-] Bugs in the new algorithm of middle textures drawing.

2.2.6.8
[*] Not drawing the player gun sprite in the freely rotatable view mode (Janizdreg).
[-] Run the game with the -nomusic parameter, start a new game (via the menu) and either kill yourself or start a new game again and the music will start playing. (Janizdreg)
[-] Smooth movement: interpolation did not work for moving platforms after savegame load.
[-] GLBoom bug: wrong display of a middle texture if it exceeds the boundaries of its floor and ceiling.

2.2.6.7
[-] Smooth movement: "I_SignalHandler: Exiting on signal: 11" bug during rendering of the first frames of heavy scenes (after opening doors).

2.2.6.6
[-] Smooth movement: doors activated by lines of the generalized types were not interpolated.
[-] Mouselook & fov: bugs in sky rendering.

2.2.6.5
[-] If a new game is started while a demo is playing the walkcam settings are carried over to the single player game.

2.2.6.4
[+] Full mouselook and FOV in GLBoom (without compatibility loss).
[*] Smooth movement: few changes in algorithm.

2.2.6.3
[-] Smooth movement: blinking in the second level of the Cchest2.wad.
[-] Smooth movement: lifts activated by lines of the generalized types were not interpolated.
